Advisory Details

February 12th, 2021

Microsoft SharePoint Workflow Deserialization of Untrusted Data Remote Code Execution Vulnerability

ZDI-21-194
ZDI-CAN-12135

CVE ID CVE-2021-24066
CVSS SCORE 8.8, (AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H)
AFFECTED VENDORS Microsoft
AFFECTED PRODUCTS SharePoint
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Microsoft SharePoint Server. Authentication is required to exploit this vulnerability.

The specific flaw exists within the implementation of the SPWorkflowDataSourceView class. The issue results from the lack of proper validation of user-supplied data, which can result in deserialization of untrusted data. An attacker can leverage this vulnerability to execute code in the context of the SharePoint service at high integrity.

ADDITIONAL DETAILS Microsoft has issued an update to correct this vulnerability. More details can be found at:
https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-24066
DISCLOSURE TIMELINE
  • 2020-10-30 - Vulnerability reported to vendor
  • 2021-02-12 - Coordinated public release of advisory
CREDIT Anonymous
BACK TO ADVISORIES